Gentoo Archives: gentoo-dev

From: "Robin H.Johnson" <robbat2@g.o>
To: gentoo-dev@g.o
Subject: [gentoo-dev] USE flags again (informix, memlimit)
Date: Wed, 14 May 2003 09:14:47
Message-Id: 20030514091445.GB12938@cherenkov.orbis-terrarum.net
I've almost completed the new PHP eclasses for mod_php and CLI php.
I just wanted to discuss a possible new global USE flag.

informix - Provides support for IBM Informix server

This would compliment the current 'oci8' for Oracle.
Once we also get other packages for informix, then will greatly increase
our appeal to the enterprise market :-).

Previously, Tal (coredumb) made enquries about the a memlimit flag on
-core. (Subject: '[gentoo-core] Memory limit useflag' Date: 23? Apr).
Nobody at all responded to the message, so I'm going to just repeat the
just of it here.

This was originally in response to bug #18890. PHP supports a memory
limit option that puts some memory usage limits into place (similar to
ulimit).

We want to push this to a USE flag as it does cause a visible
performance hit for the increase in security it provides.

From a little research on Google, it seems that both TeX and PostGres
support memory limit stuff to some degree (I did not dig much beyond the
first page linked off google).

Any comments about it? Notes that other packages support a memory limit
would be helpful too.

Given the utter lack of response to Tal's previous email to -core, if I
don't get any answer on these by saturday, I'll look at including them
myself as they are needed for the new PHP ebuilds.

-- 
Robin Hugh Johnson
E-Mail     : robbat2@××××××××××××××.net
Home Page  : http://www.orbis-terrarum.net/?l=people.robbat2
ICQ#       : 30269588 or 41961639
GnuPG FP   : 11AC BA4F 4778 E3F6 E4ED  F38E B27B 944E 3488 4E85

Replies

Subject Author
Re: [gentoo-dev] USE flags again (informix, memlimit) foser <foser@×××××××××××××××××.net>